# ApiUpgradeEmbeddedControlPlaneArgs Data Model

Arguments used to upgrade a Private Cloud Control Plane on embedded kubernetes and the associated Containerized Cluster.

Properties
name | data type | description
--- | --- | ---
remoteRepoUrl | string | The url of the remote repository where the private cloud artifacts to upgrade to are hosted
valuesYaml | string | A yaml file containing configuration parameters for the upgrade.
experienceClusterName | string | Deprecated. Use containerizedClusterName instead.
containerizedClusterName | string | The name of the existing Containerized Cluster to upgrade.

Example

    {
      "remoteRepoUrl" : "...",
      "valuesYaml" : "...",
      "experienceClusterName" : "...",
      "containerizedClusterName" : "..."
    }